<?php
/*
Plugin Name: iWorks sort posts by comment_count
Plugin URI: http://iworks.pl/2012/12/19/wordpress-sort…nie-komentarze/
Description: Sort post by comment_count
Version: trunk
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: GNU GPL
*/

class iWorks_Comment_Count_Sort
{
    public function __construct()
    {
        add_action( 'pre_get_posts', array( &$this, 'pre_get_posts' ) );
    }

    public function pre_get_posts( $query )
    {
        if ( $query->is_home() && $query->is_main_query() ) {
            $query->set( 'orderby', 'comment_count' );
        }
    }
}

new iWorks_Comment_Count_Sort();

